## sikulix 1.1.0

=== debian/changelog ===
sikulix (1.1.0-2) unstable; urgency=medium

  * Improve no-maven-repo-dependencies.patch and dependency-opencv.patch,
    and add new patches jython-sikulix-module-path.patch and
    debian-java-parameters.patch so that sikulix can be launched using
    jarwrapper
  * debian/control:
    - Depends: jarwrapper
    - Versioned Depends: jython (>= 2.5.3-12) to have #845270 and #845360
      fixed
    - Fix Vcs-Browser field
    - Bump Standards-Version to 3.9.8 (no changes)

 -- Gilles Filippini <pini@debian.org>  Mon, 28 Nov 2016 23:29:17 +0100

sikulix (1.1.0-1) unstable; urgency=medium

  * New patch opencv-3.1.patch to cope with opencv-3.1 transition
  * Upload to unstable (closes: #832634)

 -- Gilles Filippini <pini@debian.org>  Thu, 17 Nov 2016 21:12:17 +0100

sikulix (1.1.0-1~exp3) experimental; urgency=medium

  * debian/control: drop versioned Build-Depends on default-jdk (<< 2:1.8~)
    because it is now the default.
  * debian/rules: add -I$(JAVA_HOME)/include/linux to CPP_FLAGS to
    workaround #760301.

 -- Gilles Filippini <pini@debian.org>  Fri, 18 Mar 2016 22:49:10 +0100

sikulix (1.1.0-1~exp2) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New patches:
    - no-vnc-package.patch: drop dependency against non-free
      VNC package (removed from upstream source tree)
    - fix-log-parameters-order.patch: fix wrong parameters order in
      string formating.
  * Drop patches:
    - jruby-compat-1.9.patch (not needed anymore)
    - fix-image-path.patch (applied upstream).
  * Update launcher debian/wrapper/sikulix.
  * Build-Depends: default-jdk (<< 2:1.8~):
    FTBFS with openjdk-8-jdk because of #760301.

 -- Gilles Filippini <pini@debian.org>  Fri, 06 Nov 2015 16:09:15 +0100

sikulix (1.1.0~beta4-2) experimental; urgency=medium

  * debian/copyright: add missing license for source files
    Tesseract4SikuliX/src/main/java/org/sikuli/tesseract/Tess*.java
    coming from the tess4j project (closes: #767101).

 -- Gilles Filippini <pini@debian.org>  Thu, 30 Oct 2014 21:36:58 +0100

sikulix (1.1.0~beta4-1) experimental; urgency=medium

  * New upstream release.
  * Yet another source tree restructuration.
  * Patches updated accordingly.
  * Packages' names changed to reflect the new upstream layout:
    - sikulix: everything needed to support any script running plus the
      IDE
    - libsikulixapi-java: the Java level API (including the thin layers
      to support external Jython and JRuby usages)
  * Only one launcher to run the IDE or an existing sikuli script.

  * New patches:
    - dependency-opencv.patch: use Debian opencv-java instead of the
      upstream embedded one.
    - fix-image-path.patch: backport of an upstream bug fix related to
      the images path.
  * Bump Standards-Version to 3.9.6 (no change).

 -- Gilles Filippini <pini@debian.org>  Sun, 26 Oct 2014 22:42:01 +0100

sikulix (1.1.0~beta3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update patch native.patch to deal with a couple more
    FileManager.loadLibrary calls.
  * New patch no-gem-maven-plugin.patch to disable embedding ruby gems
    into SikuliX's jar files.
  * Upstream switched back from testng to junit4.

 -- Gilles Filippini <pini@debian.org>  Mon, 06 Oct 2014 16:20:39 +0200

sikulix (1.1.0~beta2-1) experimental; urgency=medium

  * New upstream release:
    - improved multi-screen support
    - Settings.OcrLanguage is now accepted by Tesseract (after using
      org.sikuli.script.TextRecognizer.reset())
    - images can now be loaded from jars (see JavaDocs::ImagePath)
    - Many bug fixes

 -- Gilles Filippini <pini@debian.org>  Mon, 08 Sep 2014 19:40:02 +0200

sikulix (1.1.0~beta1-1) experimental; urgency=medium

  * New upstream release
  * New all in one upstream GitHub project (see d/README.source)
  * Project name officially changed from Sikuli to SikuliX
    Changing package's name accordingly
  * Updated d/copyright:
    Jygments4SikuliX/src includes code from the Jygments project

 -- Gilles Filippini <pini@debian.org>  Sun, 29 Jun 2014 21:49:46 +0200

sikuli (1.0.1-2) experimental; urgency=low

  * Simplify custom pom files used to resolv dependencies.
  * Clean-up dependencies for sikuli-ide.
  * Versioned the dependencies between sikuli packages (closes: #731740).
  * Wrappers: fix classpath to work with OpenJDK 7.

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Dec 2013 19:27:24 +0100

sikuli (1.0.1-1) experimental; urgency=low

  * New upstream release.

  * Upstream Vcs moved to github and split into five repositories.
    See debian/README.source for gory details
  * Build process mavenized. Required a bunch of new patches:
    - autotoolize-vision-proxy
    - parent-pom.patch
    - preserve-source-utf-8.patch
    - basics-exclude-windows-mac.patch
    - no-maven-repo-dependencies.patch
    - resources-out-of-jar.patch
  * New patches:
    - printhelp.patch: fix bug in the sikuli help text formatting
    - add-classpath: define classpath into generated jar files
  * Refreshed patches:
    - install-extension.patch
    - native.patch
    - setTextAndMnemonic.patch
    - tess3.patch
  * Dropped patches (not needed anymore):
    - executable-wrappers.patch
    - fix-cmake-sikuli-ide.patch
    - gcc-4.7.patch
    - tessdata.patch
    - use-java-libs-from-debian.patch
  * De-activated patch (not needed but kept around just in case):
    - no-opencv-surf-module.patch
  * Update manpages
  * Remove un-needed lintian overrides
  * Re-write launchers for sikuli and sikuli-ide
  * Update debian/copyright

  * Bump Standards-Version to 3.9.5

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Nov 2013 09:08:50 +0100

sikuli (1.0~x~rc3.tesseract3-dfsg1-7) unstable; urgency=low

  * Revert fix for java.lang.UnsatisfiedLinkError which was arch dependent
    while sikuli-ide is arch all /o\. By the way the corresponding bug
    (#714393) is now tagged wontfix since it's sun-java6 related.

