=== debian/control ===
Source: sikulix
Section: java
Priority: extra
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 9~), cdbs, default-jdk (>= 2:1.7)
 , maven-debian-helper, libmaven-exec-plugin-java, libmaven-source-plugin-java
 , libmaven-javadoc-plugin-java, jython, jruby, swig
 , libopencv-dev, libtesseract-dev, libjxgrabkey-java, libcommons-cli-java
 , libswing-layout-java, libswingx-java, libjgoodies-forms-java
 , libjson-simple-java, libmac-widgets-java , libjackson2-core-java
 , libjackson2-databind-java, junit4, libjavassist-java, libjna-java
 , libbytelist-java, libjruby-joni-java, libjoda-time-java
 , libcommons-exec-java, libmetainf-services-java
 , autoconf, automake, libtool
# We only use the docs from java packages kept in the 'Depends' field of
# libsikulixapi-java
# No doc package exist for: libbsh-java, libcommons-cli-java, jruby
# No need for: junit4-doc
 , default-jdk-doc, jython-doc, libswing-layout-java-doc, libjavassist-java-doc, libjxgrabkey-doc
Standards-Version: 3.9.8
Homepage: http://www.sikulix.com
Vcs-Git: git://anonscm.debian.org/pkg-java/sikuli.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/sikuli.git/

Package: sikulix
Architecture: all
Replaces: sikuli-ide (<< 1.1.0~)
Breaks: sikuli-ide (<< 1.1.0~)
Depends: ${maven:Depends}, ${misc:Depends}, default-jre (>= 2:1.7) | java6-runtime, libsikulixapi-java (= ${binary:Version}), libmac-widgets-java
 , libjxgrabkey-java, jarwrapper
Description: IDE to develop SikuliX scripts
 SikuliX mixes image recognition into Jython or JRuby scripting to automate
 interactions with graphical user interfaces.
 .
 With SikuliX it is very easy to programmatically control a web page, a
 desktop application, or even an iphone application running in an emulator.
 .
 This package features SikuliX IDE, the integrated development environment
 for writing SikuliX Jython visual scripts with screenshots.

Package: libsikulixapi-java
Architecture: all
Replaces: libsikuli-script-java (<< 1.1.0~)
Breaks: libsikuli-script-java (<< 1.1.0~)
Depends: ${maven:Depends}, ${misc:Depends}, default-jre (>= 2:1.7) | java6-runtime, libsikulixapi-jni (>= ${binary:Version}), libsikulixapi-jni (<< ${source:Version}+), jython (>= 2.5.3-12), wmctrl, xdotool, tesseract-ocr-eng
# These ones miss maven integration
 , libcommons-exec-java, libopencv2.4-java
# The script sikuli2html.py needs python
 , python
# RunTime.java needs commands lsb-release and killall
 , lsb-release, psmisc
Suggests: libsikulixapi-doc
Description: Visual scripting API for Jython and JRuby
 SikuliX mixes image recognition into Jython or JRuby scripting to automate
 interactions with graphical user interfaces.
 .
 With SikuliX it is very easy to programmatically control a web page, a
 desktop application, or even an iphone application running in an emulator.
 .
 This package features the SikuliX Java API plus the support fori
 external usage from Jython and JRuby.

Package: libsikulixapi-jni
Architecture: any
Multi-Arch: same
Replaces: libsikuli-script-jni (<< 1.1.0~)
Breaks: libsikuli-script-jni (<< 1.1.0~)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Native libs for libsikulixapi-java
 SikuliX mixes image recognition into Jython or JRuby scripting to automate
 interactions with graphical user interfaces.
 .
 This package holds the architecture dependent jni backend of the java
 library.

Package: libsikulixapi-doc
Section: doc
Architecture: all
Replaces: libsikuli-script-doc (<< 1.1.0~)
Breaks: libsikuli-script-doc (<< 1.1.0~)
Depends: ${misc:Depends}
Recommends: ${maven:DocDepends}
Description: Documentation for libsikulixapi-java
 SikuliX mixes image recognition into Jython or JRuby scripting to automate
 interactions with graphical user interfaces.
 .
 This package contains the javadoc API documentation for the java library
 libsikulixapi-java.

# Transitional packages related to the old upstream name Sikuli
Package: sikuli-ide
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, sikulix
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libsikuli-script-java
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, libsikulixapi-java
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libsikuli-script-jni
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, libsikulixapi-jni
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libsikuli-script-doc
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, libsikulixapi-doc
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
