## sikulix 1.1.1

=== debian/changelog ===
sikulix (1.1.1-8) unstable; urgency=medium

  * debian/control: relax versioned dependency between libsikulixapi-java
    and libsikulixapi-jni (closes: #885329)

 -- Gilles Filippini <pini@debian.org>  Tue, 26 Dec 2017 21:57:15 +0100

sikulix (1.1.1-7) unstable; urgency=medium

  * Build-Depends: libcommons-net-java (closes: #882976)
  * Priority: optional
  * debian/copyright: switch to https for copyright format URL
  * Bump standards-Version to 4.1.1

 -- Gilles Filippini <pini@debian.org>  Sat, 02 Dec 2017 15:40:57 +0100

sikulix (1.1.1-6) unstable; urgency=medium

  * debian/rules: fix previous fix (closes: #881572)

 -- Gilles Filippini <pini@debian.org>  Mon, 13 Nov 2017 10:53:41 +0100

sikulix (1.1.1-5) unstable; urgency=medium

  * debian/rules: fix FTBFS when building arch-indep only

 -- Gilles Filippini <pini@debian.org>  Sun, 12 Nov 2017 22:40:36 +0100

sikulix (1.1.1-4) unstable; urgency=medium

  * Build-Depends: libopencv-dev (>= 3.2.0+dfsg-4~) to benefit from
    its maven integration and drop hardcoded dependency on
    libopencv3.2-java (closes: #877075)
  * Benefit from the jython maven integration as well
  * Update patches accordingly
  * New patch javadoc-configuration.patch: give up building the doc via
    a direct use of javadoc, and patch maven config to have it working
    properly (closes: #873703)

 -- Gilles Filippini <pini@debian.org>  Sat, 11 Nov 2017 16:41:47 +0100

sikulix (1.1.1-3) unstable; urgency=medium

  * Build against OpenCV 3.2 (closes: #877073)
  * New patch opencv-3.patch
  * libsikulix-api-java: Depends: libopencv3.2-java

 -- Gilles Filippini <pini@debian.org>  Wed, 18 Oct 2017 01:08:25 +0200

sikulix (1.1.1-2) unstable; urgency=medium

  * Build-Depends: replace libasm3-java with libasm-java to support
    jython 2.7 at run-time

 -- Gilles Filippini <pini@debian.org>  Sun, 01 Oct 2017 14:32:34 +0200

sikulix (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Disable VNC feature: no TigerVNC java client available in Debian
  * Disable Android feature: no jadb java library available in Debian
  * Drop patches:
    - no-vnc-package.patch
    - opencv-3.1.patch
  * New patches:
    - jxgrabkey-not-embedded.patch
    - no-jadb.patch
    - no-vnc.patch
  * Refresh other patches

  * Build-Depends: libjline-java, libasm3-java to fix FTBFS against
    jython-2.7

 -- Gilles Filippini <pini@debian.org>  Sun, 17 Sep 2017 16:34:07 +0200
