=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: sikulix
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
 Build-Depends: debhelper (>= 9~), cdbs, default-jdk (>= 2:1.7)
  , maven-debian-helper, libmaven-exec-plugin-java, libmaven-source-plugin-java
- , libmaven-javadoc-plugin-java, jython, jruby, swig
- , libopencv-dev, libtesseract-dev, libjxgrabkey-java, libcommons-cli-java
+ , libmaven-install-plugin-java
+ , libmaven-javadoc-plugin-java, jython (>= 2.7.1), jruby, swig
+ , libopencv-dev (>= 3.2.0+dfsg-4~), libtesseract-dev, libjxgrabkey-java
+ , libcommons-cli-java, libcommons-net-java
  , libswing-layout-java, libswingx-java, libjgoodies-forms-java
  , libjson-simple-java, libmac-widgets-java , libjackson2-core-java
  , libjackson2-databind-java, junit4, libjavassist-java, libjna-java
  , libbytelist-java, libjruby-joni-java, libjoda-time-java
  , libcommons-exec-java, libmetainf-services-java
+ , libjline-java, libasm-java
  , autoconf, automake, libtool
 # We only use the docs from java packages kept in the 'Depends' field of
 # libsikulixapi-java
@@ -43,9 +46,9 @@
 Architecture: all
 Replaces: libsikuli-script-java (<< 1.1.0~)
 Breaks: libsikuli-script-java (<< 1.1.0~)
-Depends: ${maven:Depends}, ${misc:Depends}, default-jre (>= 2:1.7) | java6-runtime, libsikulixapi-jni (>= ${binary:Version}), libsikulixapi-jni (<< ${source:Version}+), jython (>= 2.5.3-12), wmctrl, xdotool, tesseract-ocr-eng
-# These ones miss maven integration
- , libcommons-exec-java, libopencv2.4-java
+Depends: ${maven:Depends}, ${misc:Depends}, default-jre (>= 2:1.7) | java6-runtime, libsikulixapi-jni (>= ${binary:Version}), libsikulixapi-jni (<< ${source:Version}++), jython (>= 2.7.1), wmctrl, xdotool, tesseract-ocr-eng
+# This one misses maven integration
+ , libcommons-exec-java
 # The script sikuli2html.py needs python
  , python
 # RunTime.java needs commands lsb-release and killall
