=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 JAVA_HOME := /usr/lib/jvm/default-java
 
-# Skip javadoc maven target because it fails resolving dependencies
-# between SikuliX-* subprojects:
+# Add 'intall' maven target to workaround failure in resolving dependencies
+# between SikuliX-* subprojects during 'javadoc' target:
 #  ...
 #  [INFO] Building Unnamed - org.sikuli:SikuliX-Natives:jar:1.1.0
 #  [INFO]    task-segment: [javadoc:jar]
@@ -31,9 +31,7 @@
 #  ----------
 #  1) org.sikuli:SikuliX-Basics:jar:1.1.0
 #  ...
-# Instead, we use our own javadoc command line to generate the documentation
-# (see target install/libsikulix-script-doc below)
-DEB_MAVEN_DOC_TARGET :=
+DEB_MAVEN_BUILD_TARGET := package install
 
 # Despite the option '--package=<package>', maven debian helper is not
 # that good at handling several binary packages.
@@ -48,6 +46,11 @@
 	[ -z "$(DEB_FAIL)" ]
 	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g;s/@DEB_HOST_GNU_TYPE@/$(DEB_HOST_GNU_TYPE)/g" debian/libsikulixapi-jni.install.in > debian/libsikulixapi-jni.install
 
+configure/libsikulixapi-jni configure/libsikulixapi-doc::
+	# Workaround non-working <sourceFileExclude> at javadoc step
+	rm -f API/src/main/java/org/sikuli/basics/WindowsHotkeyManager.java
+	rm -f API/src/main/java/org/sikuli/util/SysJNA.java
+
 clean::
 	rm -f debian/libsikulixapi-jni.install
 	# This ugly line because of #638001 and #723919
@@ -59,7 +62,7 @@
 # Because '--package=<package>' in debian/*.poms files doesn't work for
 # .substvars files.
 install/sikulix::
-	ln IDE/target/sikulix-1.1.0.jar IDE/target/sikulix.jar
+	ln IDE/target/sikulix-1.1.1.jar IDE/target/sikulix.jar
 	chmod a+x IDE/target/sikulix.jar
 	cp debian/maven.ignoreRules.full debian/maven.ignoreRules
 	mh_resolve_dependencies --non-interactive --offline -psikulix  --base-directory=$(CURDIR) --non-explore
@@ -67,17 +70,3 @@
 install/libsikulixapi-java::
 	cp debian/maven.ignoreRules.full debian/maven.ignoreRules
 	mh_resolve_dependencies --non-interactive --offline -plibsikulixapi-java --base-directory=$(CURDIR) --non-explore
-
-# Generate doc the good old way
-install/libsikulixapi-doc::
-	javadoc -windowtitle "Javadoc of Sikuli Script" \
-		-encoding UTF-8 \
-		-sourcepath Natives/src/main/java:Basics/src/main/java:Jython/src/main/java:JRuby/src/main/java:API/src/main/java \
-		-subpackages org.sikuli \
-		-d debian/tmp/doc/ \
-		-link file:///usr/share/doc/default-jdk-doc/api \
-		-link file:///usr/share/doc/jython-doc/html/javadoc \
-		-link file:///usr/share/doc/libswing-layout-java/api \
-		-link file:///usr/share/doc/libjxgrabkey-java/api \
-		-link file:///usr/share/doc/libjavassist-java-doc/api \
-
