=== debian/watch ===
# No watch rule: the SikuliX source code has to be pulled from its upstream
# GitHub repository. See debian/README.source for the details
